/*
 * Copyright 2002 Sun Microsystems Inc.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __WNCK_WSPACE_ACCESSIBLE_H__
#define __WNCK_WSPACE_ACCESSIBLE_H__

#include <gtk/gtkaccessible.h>
#include "../workspace.h"
#include <atk/atk.h>
#include "pager-accessible.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#define WNCK_WSPACE_TYPE_ACCESSIBLE                     (wnck_wspace_accessible_get_type ())
#define WNCK_WSPACE_ACCESSIBLE(obj)                     (G_TYPE_CHECK_INSTANCE_CAST ((obj), WNCK_WSPACE_TYPE_ACCESSIBLE, WnckWSpaceAccessible))
#define WNCK_WSPACE_ACCESSIBLE_CLASS(klass)             (G_TYPE_CHECK_CLASS_CAST ((klass), WNCK_WSPACE_TYPE_ACCESSIBLE, WnckWSpaceAccessibleClass))
#define WNCK_WSPACE_IS_ACCESSIBLE(obj)                  (G_TYPE_CHECK_INSTANCE_TYPE ((obj), WNCK_WSPACE_TYPE_ACCESSIBLE))
#define WNCK_WSPACE_IS_ACCESSIBLE_CLASS(klass)          (G_TYPE_CHECK_CLASS_TYPE ((klass), WnckWSpaceAccessible))
#define WNCK_WSPACE_ACCESSIBLE_GET_CLASS(obj)           (G_TYPE_INSTANCE_GET_CLASS ((obj), WNCK_WSPACE_TYPE_ACCESSIBLE, WnckWSpaceAccessibleClass)) 

typedef struct _WnckWSpaceAccessible WnckWSpaceAccessible;
typedef struct _WnckWSpaceAccessibleClass WnckWSpaceAccessibleClass;

struct _WnckWSpaceAccessible
{
  AtkGObjectAccessible parent; 
};

struct _WnckWSpaceAccessibleClass 
{
  AtkGObjectAccessibleClass parent_class;
};

GType wnck_wspace_accessible_get_type (void);

AtkObject* wnck_wspace_accessible_new (GObject *obj); 

#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __WNCK_WSPACE_ACCESSIBLE_H__ */
